{
	"name": "table/external/odoo/bookkeeping/keyword-bank.json",
	"table_name": "res_partner_bank",
	"odoo_model": "res.partner.bank",
	"table_prefix": "kw",
	"record_type": ["bank"],
	"local_table": "keyword",
	"local_record_type": "bank",
	"field": [
		{
			"info": "Account Holder Name\nAccount holder name, in case it is different than the name of the Account Holder",
			"field_name": "acc_holder_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Account Number",
			"field_name": "acc_number",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Type\nBank account type: Normal or IBAN. Inferred from the bank account number.",
			"field_name": "acc_type",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Active",
			"field_name": "active",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Next Activity Calendar Event",
			"field_name": "activity_calendar_event_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Next Activity Deadline",
			"field_name": "activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Activity Exception Decoration\nType of the exception activity on record.",
			"field_name": "activity_exception_decoration",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Icon\nIcon to indicate an exception activity.",
			"field_name": "activity_exception_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activities",
			"field_name": "activity_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Activity State\nStatus based on activities\nOverdue: Due date is already passed\nToday: Activity date is today\nPlanned: Future activities.",
			"field_name": "activity_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Next Activity Summary",
			"field_name": "activity_summary",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activity Type Icon\nFont awesome icon e.g. fa-tasks",
			"field_name": "activity_type_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Next Activity Type",
			"field_name": "activity_type_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Responsible User",
			"field_name": "activity_user_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Send Money\nSending fake invoices with a fraudulent account number is a common phishing practice. To protect yourself, always verify new bank account numbers, preferably by calling the vendor, as phishing usually happens when their emails are compromised. Once verified, you can activate the ability to send money.",
			"field_name": "allow_out_payment",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Bank Identifier Code\nSometimes called BIC or Swift.",
			"field_name": "bank_bic",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Bank",
			"field_name": "bank_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Name",
			"field_name": "bank_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Clearing Number",
			"field_name": "clearing_number",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Color",
			"field_name": "color",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Company",
			"field_name": "company_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Country Code\nThe ISO country code in two chars. \nYou can use this field for quick search.",
			"field_name": "country_code",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Currency",
			"field_name": "currency_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "info",
			"field_type": "varchar"
		},
		{
			"info": "Has Alt Bank Account",
			"field_name": "has_alt_bank_account",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Has Iban Warning\nTechnical field used to display a warning if the IBAN country is different than the holder country.",
			"field_name": "has_iban_warning",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Has Message",
			"field_name": "has_message",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Has Money Transfer Warning\nTechnical field used to display a warning if the account is a transfer service account.",
			"field_name": "has_money_transfer_warning",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "record_id",
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "Account Journal\nThe accounting journal corresponding to this bank account.",
			"field_name": "journal_id",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Lock Trust Fields",
			"field_name": "lock_trust_fields",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Attachment Count",
			"field_name": "message_attachment_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers",
			"field_name": "message_follower_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Message Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of errors\nNumber of messages with delivery error",
			"field_name": "message_has_error_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "SMS Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_sms_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Messages",
			"field_name": "message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Is Follower",
			"field_name": "message_is_follower",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Action Needed\nIf checked, new messages require your attention.",
			"field_name": "message_needaction",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of Actions\nNumber of messages requiring action",
			"field_name": "message_needaction_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers (Partners)",
			"field_name": "message_partner_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Money Transfer Service",
			"field_name": "money_transfer_service",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "My Activity Deadline",
			"field_name": "my_activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Notes",
			"field_name": "note",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Country Name",
			"field_name": "partner_country_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Customer Rank",
			"field_name": "partner_customer_rank",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Account Holder",
			"field_name": "partner_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Supplier Rank",
			"field_name": "partner_supplier_rank",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Ratings",
			"field_name": "rating_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Related Moves",
			"field_name": "related_moves",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Sanitized Account Number",
			"field_name": "sanitized_acc_number",
			"local_field": "value",
			"field_type": "varchar"
		},
		{
			"info": "Sequence",
			"field_name": "sequence",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "User Has Group Validate Bank Account",
			"field_name": "user_has_group_validate_bank_account",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Website Messages\nWebsite communication history",
			"field_name": "website_message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
